#
# Conditional build:
%bcond_without	tests	# unit tests

%define		module	flit_core
Summary:	PEP 517 build backend for packages using Flit
Summary(pl.UTF-8):	Backend PEP 517 do budowania pakietów przy użyciu Flita
Name:		python3-%{module}
Version:	3.12.0
Release:	1
License:	BSD
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/flit-core/
Source0:	https://files.pythonhosted.org/packages/source/f/flit_core/%{module}-%{version}.tar.gz
# Source0-md5:	c538415c1f27bd69cbbbf3cdd5135d39
URL:		https://pypi.org/project/flit-core/
BuildRequires:	python3-build
BuildRequires:	python3-installer
BuildRequires:	python3-modules >= 1:3.6
%if %{with tests}
BuildRequires:	python3-pytest
BuildRequires:	python3-testpath
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 2.044
Requires:	python3-modules >= 1:3.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This provides a PEP 517 build backend for packages using Flit. The
only public interface is the API specified by PEP 517, at
flit_core.buildapi.

%description -l pl.UTF-8
Ten pakiet dostarcza backend PEP 517 do budowania pakietów przy użyciu
Flita. Jedynym interfejsem publicznym jest API określone przez PEP
517, pod flit_core.buildapi.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build_pyproject

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS=testpath \
%{__python3} -m pytest tests_core
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README.rst
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}.dist-info
%changelog
* Fri May 30 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-flit_core.git;a=log;h=master

* Fri May 30 2025 Jakub Bogusz <qboosh@pld-linux.org> 7a2bd7c
- updated to 3.12.0

* Sat May 24 2025 Jakub Bogusz <qboosh@pld-linux.org> 8501bea
- pl

* Fri Apr 04 2025 Jan Rękorajski <baggins@pld-linux.org> 379fd4c
- Release 3 (by relup.sh)

* Fri Mar 28 2025 Jan Rękorajski <baggins@pld-linux.org> b47b1f3
- Release 2 (by relup.sh)

* Fri Mar 28 2025 Jan Rękorajski <baggins@pld-linux.org> 4ec1aae
- no docs in source package

* Thu Mar 13 2025 Jan Rękorajski <baggins@pld-linux.org> d892c79
- up to 3.11.0

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 55bba7f
- python 3.13 rebuild

* Sat Feb 08 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 71c9ea7
- Migrate to new macros

* Fri Feb 07 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> a79c213
- Initial (docs and tests not done)

